Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Groovy] Class GroovyShellTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              groovy.util.GroovyTestCase
                  groovy.util.GroovyShellTestCase

    class GroovyShellTestCase
    extends GroovyTestCase

Groovy test case, which recreates internal GroovyShell in each setUp ()

Authors:
  Alex Tkachman

Field Summary
`protected GroovyShell` | `shell`

Fields inherited from class GroovyTestCase
TEST_SCRIPT_NAME_PREFIX, log

Method Summary
`protected GroovyShell` | `createNewShell()` Create new shell instance.
`protected void` | `setUp()`
`protected void` | `tearDown()`
`protected def` | `withBinding(Map map, Closure closure)` Executes closure with given binding
`protected def` | `withBinding(Map map, String script)` Evaluates script with given binding

Methods inherited from class GroovyTestCase
assertArrayEquals, assertContains, assertContains, assertEquals, assertEquals, assertEquals, assertInspect, assertLength, assertLength, assertLength, assertScript, assertToString, fixEOLs, getMethodName, getName, getTestClassName, notYetImplemented, notYetImplemented, shouldFail, shouldFail, shouldFailWithCause

Methods inherited from class TestCase
run, run, toString, getName, setName, countTestCases, runBare, format, fail, fail, assertNotNull, assertNotNull, assertTrue, assertTrue, assertFalse, assertFalse, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNull, assertNull, assertSame, assertSame, assertNotSame, assertNotSame, failSame, failNotSame, failNotEquals, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Assert
format, fail, fail, assertNotNull, assertNotNull, assertTrue, assertTrue, assertFalse, assertFalse, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNull, assertNull, assertSame, assertSame, assertNotSame, assertNotSame, failSame, failNotSame, failNotEquals, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### shell

    @Delegate
    protected GroovyShell shell

Method Detail

### createNewShell

    protected GroovyShell createNewShell()

  Create new shell instance. Overwrite it to customize

### setUp

    protected void setUp()

### tearDown

    protected void tearDown()

### withBinding

    protected def withBinding(Map map, Closure closure)

  Executes closure with given binding

### withBinding

    protected def withBinding(Map map, String script)

  Evaluates script with given binding

Copyright © 2003-2010 The Codehaus. All rights reserved.